<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Utils\FilterSettings\Teilnehmer;

use Kufer\Web\Classes\Dbfilter\TeilnehmerSQLFilter;
use Kufer\Web\KuferTools\Utils\FilterSettings\IFilterSettings;
use Kufer\Web\Classes\Dbfilter\ISQLFilter;

class NotEquals0FilterSettings implements IFilterSettings
{
  
  public function applySettings($filter): ISQLFilter
  {
    $filter->notAny(static function() use ($filter) {
      $filter->equalsId(0); 
    });

    return $filter;
  }

  public function assertFilterClass($filter): void
  {
    assert($filter instanceof TeilnehmerSQLFilter);
  }
}